## gimpbuffer gimpbuffer |

## Functions

gchar ** | gimp_buffers_get_list ()
gchar * | gimp_buffer_rename ()
gboolean | gimp_buffer_delete ()
gint | gimp_buffer_get_width ()
gint | gimp_buffer_get_height ()
gint | gimp_buffer_get_bytes ()
GimpImageBaseType | gimp_buffer_get_image_type ()

## Description

## Functions

### gimp_buffers_get_list ()

    gchar **
    gimp_buffers_get_list (const gchar *filter,
                           gint *num_buffers);

Since: GIMP 2.4

### gimp_buffer_rename ()

    gchar *
    gimp_buffer_rename (const gchar *buffer_name,
                        const gchar *new_name);

Since: GIMP 2.4

### gimp_buffer_delete ()

    gboolean
    gimp_buffer_delete (const gchar *buffer_name);

Since: GIMP 2.4

### gimp_buffer_get_width ()

    gint
    gimp_buffer_get_width (const gchar *buffer_name);

Since: GIMP 2.4

### gimp_buffer_get_height ()

    gint
    gimp_buffer_get_height (const gchar *buffer_name);

Since: GIMP 2.4

### gimp_buffer_get_bytes ()

    gint
    gimp_buffer_get_bytes (const gchar *buffer_name);

Since: GIMP 2.4

### gimp_buffer_get_image_type ()

    GimpImageBaseType
    gimp_buffer_get_image_type (const gchar *buffer_name);

Since: GIMP 2.4

## Types and Values